# V3ExtensionsMSTeamsChannelConfiguration

Defines a mapping from a Squadcast Team/Service to a specific MS Teams channel.

## Fields

| Field                  | Type                                                                                                                              | Required             | Description                                                                                     |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------------------- | -------------------- | ----------------------------------------------------------------------------------------------- |
| `id`                   | *Optional\[str]*                                                                                                                  | :heavy\_minus\_sign: | The MongoDB ObjectID for this specific channel configuration entry.                             |
| `squadcast_team_id`    | *str*                                                                                                                             | :heavy\_check\_mark: | The MongoDB ObjectID of the corresponding team in Squadcast.                                    |
| `squadcast_team_name`  | *str*                                                                                                                             | :heavy\_check\_mark: | The name of the corresponding team in Squadcast.                                                |
| `is_all_services`      | *bool*                                                                                                                            | :heavy\_check\_mark: | If true, alerts for all services in the Squadcast Team are sent to this channel.                |
| `services`             | List\[[models.V3ExtensionsMSTeamsSquadCastServiceMapping](/python-sdk/docs/models/v3extensionsmsteamssquadcastservicemapping.md)] | :heavy\_check\_mark: | An array of specific services to route to this channel. Used when 'is\_all\_services' is false. |
| `msteams_channel_id`   | *str*                                                                                                                             | :heavy\_check\_mark: | The unique identifier of the target channel in MS Teams.                                        |
| `msteams_channel_name` | *str*                                                                                                                             | :heavy\_check\_mark: | The display name of the target channel in MS Teams.                                             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3extensionsmsteamschannelconfiguration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
